This portion of the API provides endpoints for managing payment, invoice and billing records.
Servers
https://api.ezyvet.comezyVet production environment
https://api.trial.ezyvet.comezyVet trial environment
Fetch a BillingCredit
GET
/v1/billingcredit
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-billingcredit"Read billing credit resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a BillingCredit.
Type
number
active
If true, the BillingCredit is active and visible in ezyVet.
Type
boolean
created_at
The epoch time when the BillingCredit was created.
Type
number
modified_at
The epoch time when the BillingCredit was last modified.
Type
number
wellness_plan_id
The ID of the Wellness Plan the BillingCredit is associated with.
Type
number
wellness_plan_benefit_id
The ID of the Wellness Plan Benefit the BillingCredit is associated with.
Type
number
wellness_plan_membership_id
The ID of the Wellness Plan Membership the BillingCredit is associated with.
Type
number
wellness_plan_membership_status_period_id
The ID of the Wellness Plan Membership Status Period the BillingCredit is associated with.
Type
number
associated_type
The name of the record type the BillingCredit is associated with.
Type
string
associated_id
The ID of the record the BillingCredit is associated with.
Type
number
Responses
A BillingCredit object
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "billingcredit": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "available_associated_type": "string", "available_associated_id": 0, "wellness_plan_id": 0, "wellness_plan_benefit_id": 0, "wellness_plan_membership_id": 0, "wellness_plan_membership_status_period_id": 0, "associated_type": "string", "associated_id": 0, "type": "string", "amount": 0, "wasted": 0, "used": 0, "start_date": 0, "expires_in_unit": "string", "expires_in_qty": 0, "end_date": 0, "wellness_plan_membership_cycle_id": 0 } } ], "messages": [ ]
{
}
GET
/v1/billingcredit
Samples
Fetches a list containing Invoice(s).
GET
/v1/invoice
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-invoice"Read invoice resources
Parameters
Query Parameters
animal_id
The ID of the Animal associated with the Invoice.
Type
string
id
The ID number used by the system to uniquely identify an Invoice.
Type
string
active
If true, the Invoice is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Invoice was created.
Type
string
modified_at
The epoch time when the Invoice was last modified.
Type
string
ownership_id
The ID of the Ownership Separation to which this Invoice belongs.
Type
string
code
The auto-generated code of the Invoice. Cannot be modified.
Type
string
subtotal
The sum of all InvoiceLines totals exclusive of tax (up to 2 decimal places).
Type
string
tax
The sum of all InvoiceLines tax amounts (up to 2 decimal places).
Type
string
contact_id
Required. The ID of the Contact associated with the Invoice.
Type
string
consult_id
The ID of the Consult associated with the Invoice.
Type
string
payment_terms_id
The ID for the PaymentTerm of the Invoice.
Type
string
includes_tax
If true, the InvoiceLine totals were calculated from prices that include tax. If false, the InvoiceLine totals were calculated from prices that exclude tax.
Type
string
date
The epoch time of the Invoice transaction date.
Type
string
date_due
The epoch time of when the Invoice transaaction is due for payment.
Type
string
customer_reference_number
Customer reference number for the Invoice.
Type
string
limit
Sets the limit on the number of items returned (range: 1 - 50)
Type
string
Default
10page
Specifies the page number of the result.
Type
string
Default
1Responses
A list of Invoices.
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "invoice": { "id": "string", "active": "string", "created_at": "string", "modified_at": "string", "ownership_id": "string", "code": "string", "contact_id": "string", "animal_id": "string", "consult_id": "string", "subtotal": "string", "tax": "string", "includes_tax": "string", "payment_terms_id": "string", "date": "string", "date_due": "string", "date_approved": 0, "approved_by": "string", "customer_reference_number": "string", "invoice_line_list": [ { "id": "string" } ], "linked_payments": [ { "id": "string", "amount": "string", "type": "string" } ] } } ], "messages": [ "string" ]
{
}
GET
/v1/invoice
Samples
Fetches the InvoiceLines for the given Invoice (id=9).
GET
/v1/invoiceline
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-invoiceline"Read invoice line resources
Parameters
Query Parameters
invoice_id*
Type
Requirednumber
id
Type
string
active
Type
string
created_at
Type
string
modified_at
Type
string
ownership_id
Type
string
location_id
Type
string
product_id
Type
string
staff_user_id
Type
string
quantity
Type
string
status
Type
string
tax_code
Type
string
Responses
A list of InvoiceLines.
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "invoiceline": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "product_id": "string", "staff_user_id": "string", "invoice_id": "string", "quantity": "string", "discount": "string", "price": "string", "price_tax": "string", "standard_price": "string", "standard_price_tax": "string", "total": "string", "total_tax": "string", "status": "string", "tax_code": "string", "tax_percent": "string", "ownership_id": "string", "location_id": "string", "consult_id": "string", "animal_id": "string", "date": 0 } } ], "messages": [ { } ]
{
}
GET
/v1/invoiceline
Samples
Fetch a Payment list
GET
/v1/payment
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-payment"Read payment resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Payment.
Type
string
created_at
The epoch time when the Payment was created.
Type
string
modified_at
The epoch time when the Payment was last modified.
Type
string
active
If true, the Payment is active and usable in ezyVet.
Type
string
ownership_id
The ID of the ownership Separation to which this Payment belongs.
Type
string
amount
The amount of the Payment. This is the total amount that was paid in the Payment.
Type
string
method
The PaymentMethod used to make the Payment.
Type
string
details
Any details regarding the Payment.
Type
string
date
The date on which the Payment was made.
Type
string
comments
Any comments associated to the Payment.
available
Any surplus Payment amount. Happens when the amount paid was greater than the amount due.
allocated
The portion of the Payment that was allocated against an Invoice or the like.
client_id
The ID of the Client that made the Payment.
cash_amount
The amount paid in cash.
cash_change
The amount of change produced from a cash Payment.
Type
string
rounding_factor
The denomination to which the Payment is rounded.
status
The status of the Payment. E.g. Accepted, Declined etc.
limit
The number of results to return (up to 10).
Type
number
Default
10Responses
A list containing Payments.
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "payment": { "id": "string", "created_at": "string", "modified_at": "string", "active": "string", "ownership_id": "string", "amount": "string", "method": "string", "details": "string", "date": "string", "comments": "string", "available": "string", "allocated": "string", "client_id": "string", "cash_amount": "string", "cash_change": "string", "rounding_factor": "string", "status": "string", "linked_invoices": [ { "id": "string", "allocated_amount": "string" } ] } } ], "messages": [ { } ]
{
}
GET
/v1/payment
Samples
Fetch a PaymentMethod list
GET
/v1/paymentmethod
Fetches a list containing PaymentMethod(s) (up to 10).
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-paymentmethod"Read payment method resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a PaymentMethod.
Type
string
created_at
The epoch time when the PaymentMethod was created.
Type
string
modified_at
The epoch time when the PaymentMethod was last modified.
Type
string
active
If true, the PaymentMethod is active and usable in ezyVet.
Type
string
name
The name of the PaymentMethod.
Type
string
uses_eftpos_machine
If true, the PaymentMethod uses an eftpos machine.
Type
string
type
The type of the PaymentMethod. E.g. 'Direct'.
Type
string
commission_rate
The commission rate of the PaymentMethod.
Type
string
surcharge_amount
The surcharge amount of the PaymentMethod.
Type
string
surcharge_type
The type of the surcharge.
Type
string
Responses
Successful response
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "paymentmethod": { "id": "string", "created_at": "string", "modified_at": "string", "active": "string", "name": "string", "uses_eftpos_machine": "string", "type": "string", "commission_rate": "string", "surcharge_amount": "string", "surcharge_type": "string" } } ], "messages": [ { } ]
{
}
GET
/v1/paymentmethod
Samples
Fetches a list of Price Adjustments
GET
/v1/priceadjustment
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-priceadjustment"Read price adjustment resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Price Adjustment.
Type
number
active
If true, the Price Adjustment is applied to the associated record.
Type
boolean
Default
truetype
The type of adjustment. Can be one of: User, Credit, Rounding, Discount, Surcharge.
Type
string
associated_type
The type of record that was adjusted. Can be one of: InvoiceExpense, WellnessPlanMembership.
Type
string
Valid values
"InvoiceExpense""WellnessPlanMembership"associated_id
The associated_type records ID.
Type
string
triggering_type
The type of record that triggered the Price Adjustment.
Type
string
triggering_id
The triggering_type records ID.
Type
number
wellness_plan_id
The ID of the related Wellness Plan.
Type
number
Default
nullwellness_plan_benefit_id
The ID of the related Wellness Plan Benefit.
Type
number
Default
nullwellness_plan_membership_id
The ID of the related Wellness Plan Membership.
Type
number
Default
nullResponses
A list of Price Adjustments with metadata.
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "priceadjustment": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "type": "string", "adjustment_method": "string", "adjustment_amount": 0, "associated_type": "string", "associated_id": "string", "triggering_type": "string", "triggering_id": 0, "description": "string", "total_change": 0, "total_change_tax": 0, "total_earned": 0, "total_earned_tax": 0, "consuming": true, "wellnessplan_id": 0, "wellnessplan_benefit_id": 0, "wellnessplan_membership_id": 0 } } ], "messages": [ "string" ]
{
}
GET
/v1/priceadjustment
Samples
Fetches a list containing estimates.
GET
/v2/estimate
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-estimate"Read estimate resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an Estimate.
Type
number
active
If true, the Estimate is active and usable in ezyVet.
Type
string
created_at
The epoch time when the Estimate was created.
Type
string
modified_at
The epoch time when the Estimate was last modified.
Type
string
date
The epoch time of when the Estimate was last updated by the insurer.
Type
string
animal_id
The ID of the Animal associated with Estimate.
Type
number
contact_id
The ID of the Contact associated with Estimate.
Type
number
Responses
A list containing estimates.
application/json
JSON "meta": { "timestamp": "string", "items_page": "string", "items_page_total": "string", "items_page_size": "string", "items_total": "string" }, "items": [ { "estimate": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "number": "string", "name": "string", "total": 0, "date": 0, "subtotal": 0, "tax": 0, "contact_id": 0, "animal_id": "string", "consult_id": "string", "line_item": [ { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "price": 0, "pricetax": 0, "qty": 0, "total": 0, "totaltax": 0, "taxcode": "string", "taxrate": 0, "discount": 0 } ] } } ], "messages": [ "string" ]
{
}
GET
/v2/estimate
Samples
Fetch an Invoice list
GET
/v2/invoice
Fetches a list containing Invoice(s). (up to 10)
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-invoice"Read invoice resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an Invoice.
Type
number
created_at
The epoch time when the Invoice was created.
Type
number
modified_at
The epoch time when the Invoice was last modified.
Type
number
active
If true, the Invoice is active and usable in ezyVet.
Type
boolean
code
The auto-generated code of the Invoice. Cannot be modified.
animal_id
The ID of the Animal associated with the Invoice.
Type
number
consult_id
The ID of the Consult associated with the Invoice.
Type
number
contact_id
The ID of the Contact associated with the Invoice.
Type
number
date
The epoch time of the Invoice transaction date.
Type
number
date_due
The epoch time of when the Invoice transaction is due for payment.
Type
number
date_approved
The epoch time of when the Invoice transaction is approved.
Type
number
approved_by
The ID of the User that approved the Invoice.
Type
number
Responses
Successful response
application/json
JSON "meta": { "transaction_id": "string", "timestamp": 0 }, "items": [ { "invoice": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "ownership_id": 0, "created_by": 0, "modified_by": 0, "code": "string", "animal_id": 0, "consult_id": "string", "contact_id": 0, "subtotal": 0, "tax": 0, "includes_tax": true, "payment_terms_id": 0, "date": 0, "date_due": 0, "date_approved": 0, "approved_by": 0, "customer_reference_number": "string", "line_item": [ { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "product_id": 0, "sales_person": 0, "quantity": 0, "discount": 0, "price": 0, "price_tax": 0, "standard_price": 0, "standard_price_tax": 0, "total": 0, "total_tax": 0, "status": "string", "tax_code": "string", "tax_percent": 0, "ownership_id": 0, "location_id": 0, "ledger_account": 0, "group_id": "string", "type": "string" } ], "financials": [ { "linked_payments": [ { "id": "string", "amount": 0, "type": "string" } ] } ] } } ], "messages": [ { } ]
{
}
GET
/v2/invoice
Samples
Invoice Line V2
Fetches the InvoiceLine(s) for a given Invoice.
GET
/v2/invoiceline
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-invoiceline"Read invoice line resources
Parameters
Query Parameters
invoice_id*
Type
Requiredstring
id
Type
string
created_at
Type
string
modified_at
Type
string
active
Type
string
product_id
Type
string
batch
Type
string
sales_person
Type
string
quantity
Type
string
status
Type
string
tax_code
Type
string
ownership_id
Type
string
location_id
Type
string
Responses
A list of InvoiceLines.
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "invoiceline": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "name": "string", "product_id": 0, "batch": 0, "sales_person": 0, "invoice_id": 0, "quantity": 0, "discount": 0, "price": 0, "price_tax": 0, "standard_price": 0, "standard_price_tax": 0, "total": 0, "total_tax": 0, "status": "string", "tax_code": "string", "tax_percent": 0, "ownership_id": 0, "location_id": 0, "ledger_account": 0, "group_id": 0, "type": "string", "date": 0 } } ], "messages": [ { } ]
{
}
GET
/v2/invoiceline
Samples
Fetch a Ledger Account by ID
GET
/v2/ledgeraccount/{id}
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-ledgeraccount"Read ledger account resources
Parameters
Path Parameters
id*
The ID number used by the system to uniquely identify a Ledger Account.
Type
Requirednumber
Query Parameters
items_page
The page number for pagination.
Type
number
items_page_size
The number of items per page.
Type
number
Responses
Successful response
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "ledgeraccount": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "code": "string", "name": "string" } } ], "messages": [ { } ]
{
}
GET
/v2/ledgeraccount/{id}
Samples
Get payments
GET
/v2/payment
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-payment"Read payment resources
Parameters
Query Parameters
id
The ezyVet ID of the record.
Type
string
Example
"1"active
If true, the record is active and usable in ezyVet.
Type
string
Example
"1"created_at
The epoch time when the record was created.
Type
string
Example
1695766710modified_at
The epoch time when the record was last modified
Type
string
Example
1695766710amount
The amount of the payment in dollars.
Type
integer
Example
100method
The ID of the payment method for which the payment was captured.
Type
integer
Example
5client_contact
The ID of the contact record for which the payment should be assigned.
Type
integer
Example
323status
The status of the payment.
Type
string
Example
"accepted"ownership_id
The ID of the separation where the payment was taken.
Type
integer
Example
5date
The date when the payment was taken (in epoch time)
Type
integer
Example
1671477420details
Details associated with the payment.
Type
string
Example
""comments
Comments associated with the payment.
Type
string
Example
""cash_amount
The amount paid in cash.
Type
string
Example
"45.00"cash_change
The amount of change given in cash.
Type
string
Example
0rounding_factor
The denomination to which the Payment is rounded.
Type
string
Example
"0.10"allocated
The amount allocated to an invoice.
Type
integer
Example
45Responses
Gets a payment
application/json
JSON "meta": { "timestamp": 1695766710, "items_page": 1, "items_page_total": 191, "items_page_size": 1, "items_total": 29, "transaction_id": "c780c14f01293932e1d1f16db7bfe017a6f02eb6e33bb6dc13944fe07cb6a85c" }, "items": [ { "payment": { "id": "1", "active": "true", "created_at": "1307487862", "modified_at": "1363044343", "amount": 57.5, "method": 5, "date": 1729542303, "details": "Payment allocation test", "outstanding": 0, "allocated": 57.5, "comments": "", "client_contact": 7, "ledger_account": 8, "cash_amount": 57.5, "cash_change": 0, "rounding_factor": 0.1, "status": "accepted", "ownership_id": 4, "allocations": [ { "invoice_id": 75, "amount": 57.5 } ] } } ], "messages": [ [ ] ]
{
}
GET
/v2/payment
Samples
Fetches a list containing Tax Rates.
GET
/v2/taxrate
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-taxrate"Read tax rate resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify a Tax Rate.
Type
number
created_at
The epoch time when the Tax Rate was created.
Type
number
modified_at
The epoch time when the Tax Rate was last modified.
Type
number
active
If true, the Tax Rate is active and usable in ezyVet.
Type
boolean
Responses
A list of Tax Rates.
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "taxrate": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "code": "string", "rate": 0 } } ], "messages": [ ]
{
}
GET
/v2/taxrate
Samples
Fetch a list of Transactions
GET
/v2/transaction
Fetches a list containing Transactions
Authorizations
bearerAuth
clientCredentials Flow
Token URL
"https://api.ezyvet.com/v1/oauth/access_token"Scopes:
"read-transaction"Read transaction resources
Parameters
Query Parameters
id
The ID number used by the system to uniquely identify an Transaction.
Type
number
created_at
The epoch time when the Transaction was created.
Type
number
modified_at
The epoch time when the Transaction was last modified.
Type
number
active
If true, the Transaction is active and usable in ezyVet.
Type
boolean
Default
truepayment_id
The ID of the associated Payment linked to this Transaction.
Type
number
ownership_id
The ID of the Ownership Separation to which this Transaction belongs.
Type
number
Responses
A list of Transactions with additional meta information.
application/json
JSON "meta": { "items_page": 0, "items_page_total": 0, "items_page_size": 0, "items_total": 0, "transaction_id": "string", "timestamp": 0 }, "items": [ { "transaction": { "id": 0, "created_at": 0, "modified_at": 0, "active": true, "ownership_id": 0, "payment_id": 0, "status": "string", "integration_name": "string", "external_reference": "string", "external_id": 0 } } ], "messages": [ { } ]
{
}
GET
/v2/transaction